#!/bin/bash
echo 1 - Looking for KDE directories
KDE_FOUND=`find $HOME -name ".kde*" -type d`
ICEWM_FOUND=`find $HOME -name ".kde/share/apps/kwin/icewm-themes*" -type d`
echo 2 - Start copying files
for i in $KDE_FOUND; do
	mkdir -p $i/share/apps/kstyle
	cd style
	cp -R -f pixmaps $i/share/apps/kstyle/
	cp -R -f themes $i/share/apps/kstyle/
	cd ..
done
echo 3 - Copy Wallpaper
for i in $KDE_FOUND; do
	mkdir -p $i/share/wallpapers
	cd style
	cp -f ./bakgrund/rmt.png $HOME/.kde/share/wallpapers
	cd ..
done
echo 4 - Install icewm-theme
for i in $KDE_FOUND; do
	mkdir -p $i/share/apps/kwin/icewm-themes/rmt-silver
	cd style
	cp -R -f rmt-silver $i/share/apps/kwin/icewm-themes/
	cd ..
done
echo 5 - Announce style
kinstalltheme
echo 6 - RMT Style for KDE ready
